ObertObert
Snippets

Update Snippet

PATCH
/api/snippets/{snippet_id}
AuthorizationBearer <token>

In: header

Path Parameters

snippet_idstring

Header Parameters

x-tenant-id?string|null
name?string|null
body?string|null
scope?string|null
Value in"personal" | "team"

Response Body

application/json

application/json

curl -X PATCH "https://api.obert.io/api/snippets/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "name": "string",
  "body": "string",
  "scope": "personal",
  "id": "string",
  "owner_user_id": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "attachments": []
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}